ur_rna.RNAstructure.backend

## Class CIntVector

- java.lang.Object
- - ur_rna.RNAstructure.backend.CIntVector

-     public class CIntVector
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `swigCMemOwn`
    `private long` | `swigCPtr`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `CIntVector()`
    `` | `CIntVector(long n)`
    `protected` | `CIntVector(long cPtr, boolean cMemoryOwn)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(int x)`
    `long` | `capacity()`
    `void` | `clear()`
    `void` | `delete()`
    `protected void` | `finalize()`
    `int` | `get(int i)`
    `protected static long` | `getCPtr(CIntVector obj)`
    `boolean` | `isEmpty()`
    `void` | `reserve(long n)`
    `void` | `set(int i, int val)`
    `long` | `size()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### swigCMemOwn

          protected transient boolean swigCMemOwn

    - #### swigCPtr

          private transient long swigCPtr

  - ### Constructor Detail

    - #### CIntVector

          public CIntVector()

    - #### CIntVector

          public CIntVector(long n)

    - #### CIntVector

          protected CIntVector(long cPtr,
                               boolean cMemoryOwn)

  - ### Method Detail

    - #### add

          public void add(int x)

    - #### capacity

          public long capacity()

    - #### clear

          public void clear()

    - #### delete

          public void delete()

    - #### finalize

          protected void finalize()

      Overrides:
        `finalize` in class `java.lang.Object`

    - #### get

          public int get(int i)

    - #### getCPtr

          protected static long getCPtr(CIntVector obj)

    - #### isEmpty

          public boolean isEmpty()

    - #### reserve

          public void reserve(long n)

    - #### set

          public void set(int i,
                          int val)

    - #### size

          public long size()